OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_IteratorOfProcessForTransient Class Reference

`#include <Transfer_IteratorOfProcessForTransient.hxx>`

Inheritance diagram for Transfer_IteratorOfProcessForTransient:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Transfer_IteratorOfProcessForTransient (const Standard_Boolean withstarts)
Standard_EXPORT void | Add (const Handle(Transfer_Binder)&binder)
Standard_EXPORT void | Add (const Handle(Transfer_Binder)&binder, const Handle(Standard_Transient)&start)
Standard_EXPORT void | Filter (const Handle(TColStd_HSequenceOfTransient)&list, const Standard_Boolean keep=Standard_True)
Standard_EXPORT Standard_Boolean | HasStarting () const
Standard_EXPORT const Handle_Standard_Transient & | Starting () const
## Private Attributes
Handle_TColStd_HSequenceOfTransient | thestarts

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_IteratorOfProcessForTransient::Transfer_IteratorOfProcessForTransient | ( | const Standard_Boolean | withstarts | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_IteratorOfProcessForTransient::Add | ( | const Handle(Transfer_Binder)& | binder,
|  | const Handle(Standard_Transient)& | start
| ) |

Standard_EXPORT void Transfer_IteratorOfProcessForTransient::Add | ( | const Handle(Transfer_Binder)& | binder | ) |

Standard_EXPORT void Transfer_IteratorOfProcessForTransient::Filter | ( | const Handle(TColStd_HSequenceOfTransient)& | list,
|  | const Standard_Boolean | keep = `Standard_True`
| ) |

Standard_EXPORT Standard_Boolean Transfer_IteratorOfProcessForTransient::HasStarting | ( |  | ) | const

void Transfer_IteratorOfProcessForTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

void* Transfer_IteratorOfProcessForTransient::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

void* Transfer_IteratorOfProcessForTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Transfer_TransferIterator.

Standard_EXPORT const Handle_Standard_Transient& Transfer_IteratorOfProcessForTransient::Starting | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfTransient Transfer_IteratorOfProcessForTransient::thestarts`[private]`

The documentation for this class was generated from the following file:

- Transfer_IteratorOfProcessForTransient.hxx